Solved HEEELPP MEH

Discussion in 'Spigot Plugin Help' started by Tigercraft01, Jun 5, 2016.

  1. I just re-installed SWR, a common free skywars plugin. Before, it used to work fine. Now, however, it's being odd.
    In game, whenever a player clicks on a gui of some sort (may it be chest, their inventory, or item vote menu during pregame) it automatically closes. This blocks players from changing their inventory, equipping armour, voting for chest types, or even getting items out of the chests.

    However, there are no WG flags in place that deny use of chests and such, as well as no console errors whatsoever.

    Help!
     
  2. What version are you playing on?
     
  3. Have you tried this version?
     
  4. Thats the version Im using
     
  5. Wait 24 hours to bump.
     
    • Agree Agree x 2
  6. Then in that case, I can't help you much. Have you tried only running SWR? No other plugins? That might prove there's a conflicting plugin.
     
  7. I don't think that's his problem, if you're missing a dependency from a plugin, usually it gives an error. He says he didn't get an error:

     
    • Agree Agree x 1
  8. OK it turns out no matter which skywars, any interacction with an inventory/GUI closes it immediately. The problem IS NOT SWR.
     
  9. In that case, list your plugin list.
     
  10. mk:
    PLUGINS INSTALLED

    AgarMC-1.8


    AntiWDL


    ArenaPaintball


    askyblock (1)


    AsyncWorldEditInjector


    AsyncWorldEdit


    BattleArena

    Citizens

    ClickWarp

    codwarfare

    CommandNPC

    CommandSigns

    CommandSpy

    CoreProtect


    CrackShot


    CS-CoreLib v1.5.4


    EpicSpleef-0.0.19-SNAPSHOT


    Essentials-2.x-SNAPSHOT


    EssentialsChat-2.x-SNAPSHOT


    EssentialsGUI

    EssentialsProtect-2.x-SNAPSHOT


    FirstJoinPlus


    FreeSign


    GUIAPI


    HideandCustomPlugins

    HolographicDisplays

    icJukeBox


    Installer


    IP-Check


    LibsDisguises (1)


    MassiveCore


    MGOITC


    MinigamesLib


    Multiverse-Core-2.5


    Multiverse-Inventories-2.5


    Multiverse-Portals


    MyCommand


    NametagEdit


    NoCheatPlus


    NoteBlockAPI


    PermissionsEx-1.23.3


    PerWorldPlugins (1)


    PerWorldPlugins (2)

    PlugMan


    ProtocolLib


    RankPrefixPlus


    SignColors


    SignShop


    Simple_KitPvP


    SketchMap


    SkQuery


    skript2.2
    Skript

    [​IMG]
    SkyWars (2)

    SkyWars

    Steel

    TabAPI

    TitleManager

    TTT

    Vault

    VoidGenerator

    VoxelSniper

    War

    WDLCompanion

    WildSkript (1)

    WildSkript

    worldedit-bukkit-6.1

    worldguard-6.1
     
  11. The plugins that I notice that may conflict are:

    - Essentials GUI
    - Click Warp
    - GUIAPI

    Try removing those three and tell me if the issue persists.

    Also, why do you have two SkyWars? You have SkyWars, and SkyWars (2). If they're the same plugin this could also be the issue.
     
    • Useful Useful x 1
  12. GUIAPI is for plugins that need a GUI API to run the plugin's guis... I;ll try removing essentials GUI and tellyou how it goes
     
  13. ILY SO MUCH <3
     
  14. Happy to help :).
     
    • Funny Funny x 1